Subject: Re: [avtext] [dispatch] Taxonomy

From: Jonathan Lennox <[email-masked]>
Date: Wed, 17 Jul 2013 17:29:29 -0400

Hi, Iñaki -- the right place to discuss this draft is the AVTExt mailing list, Cc'd.

On Jul 17, 2013, at 7:26 AM, Iñaki Baz Castillo <[email-masked]> wrote:

> I'm really annoying after reading the draft section 2.4 "Media Stream":
> 
>  http://tools.ietf.org/html/draft-lennox-raiarea-rtp-grouping-taxonomy-01#section-2.4
> 
> ------------------------
>      Each Media Stream is identified by a unique Synchronization source
>      (SSRC) [RFC3550] that is carried in every RTP and Real-time
>      Transport Control Protocol (RTCP) packet header.
> ------------------------
> 
> In W3C we have "MediaStream" and "MediaStreamTrack", and
> "MediaStreamTrack" is exactly what the draft above defines as "Media
> Stream".
> 
> So let me say that this is the most confusing terminology it can be.

It's actually even worse than that -- in SDP, a "Media Stream" has yet another meaning, as the object described by an m-line -- i.e., not the same thing as either an RTP media stream, nor an RtcMediaStream.

Unfortunately, we haven't come up with any good alternative terms that we can get consensus on.

Do you have any suggestions?

By the way, I don't think a WebRTC RtcMediaStreamTrack actually is the same thing as an RTP media stream, once things like RTX, FEC, and simulcast are taken into account…explicating subtleties like that is one of the purposes of this draft.  I'm not sure it's succeeded at this yet, though.

--
Jonathan Lennox
[email-masked]